Translatable properties of an academic event

### Hierarchy

- SCThingWithCategoriesTranslatableProperties
  - SCAcademicEventTranslatableProperties

## Index

### Properties

- categories
- description
- majors
- name
- origin
- originalCategory

## Properties

### Optional categories

categories: string[]

Inherited from SCThingWithCategoriesTranslatableProperties.categories

- Defined in node_modules/@openstapps/core/lib/index.d.ts:693

translations of the categories of a thing with categories

### Optional description

description: undefined | string

Inherited from SCThingTranslatableProperties.description

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1683

Translation of the description of the thing

### Optional majors

majors: string[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1807

Translations of the majors of the academic event that this event belongs to

### Optional name

name: undefined | string

Inherited from SCThingTranslatableProperties.name

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1687

Translation of the name of the thing

### Optional origin

origin: SCThingTranslatablePropertyOrigin

Inherited from SCThingTranslatableProperties.origin

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1691

Origin of the thing

### Optional originalCategory

originalCategory: undefined | string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1811

Translation of the original unmapped category from the source of the academic event

Generated using TypeDoc